Module jdk.compiler
Package com.sun.source.tree

## Interface ParenthesizedTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    public interface ParenthesizedTree
    extends ExpressionTree

A tree node for a parenthesized expression. Note: parentheses not be preserved by the parser. For example:

       ( expression )

Since:
  1.6
See The Java™ Language Specification:
  section 15.8.5

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression within the parentheses.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression within the parentheses.

Returns:
  the expression